<template>
	<view style="background-color: aliceblue;padding: 20rpx;">
		<input class="input" v-model="info"  placeholder="请输入姓名/身份证" />
		<view style="padding-left: 40rpx;padding-right: 40rpx;">
			<view class="button" @click="Search()">查询</view>
		</view>
	</view>
</template>

<script setup>
	import {
		ref
	} from "vue"
	import {
		 
	} from "@/api"
	import {
		onLoad,
		onShow
	} from "@dcloudio/uni-app"
	let info=ref('');
	 const Search=()=>{
		 if(info.value.length>0){
			 uni.navigateTo({
			 	url: '/pages/user/list?info='+info.value
			 })
		 }else{
			 uni.showToast({
			 	title:"请输入信息",
				icon:"error"
			 })
		 }
		 
	 }
</script>

<style scoped>
	.input{
		background-color: #fff;
		border: 1px solid #ccc;
		height: 80rpx;
	}
.button {
		width: 100%;
		background-color: #7ea3b4;
		height: 80rpx;
		line-height: 80rpx;
		text-align: center;
		color: #fff;
		font-weight: 700;
		border-radius: 50rpx;
		margin-top: 80rpx;

	}
</style>
